#!/bin/bash

##Script to batch process synthetic PARAPROBE benchmarks utilizing 1, 6, 36 threads
##Markus Kuehbach, 2018/12/10, m.kuehbach at mpie.de

execnm=paraprobe_i2018_O3marchntv
rrngfn=PARAPROBE.Paper14.Ranging.rrng

eval "module list"
eval "ulimit -s unlimited"
eval "ulimit -a"

eval "export MKL_NUM_THREADS=1"
eval "echo $MKL_NUM_THREADS"

#2E6 ions
xmlfn=PARAPROBE.Paper14.PureAlu.3XX1.xml
eval "export OMP_NUM_THREADS=36"
eval "echo $OMP_NUM_THREADS"
#36 thread runs
simid=36301
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#6 thread runs
eval "export OMP_NUM_THREADS=6"
eval "echo $OMP_NUM_THREADS"
simid=6301
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#1 thread runs
eval "export OMP_NUM_THREADS=1"
eval "echo $OMP_NUM_THREADS"
simid=1301
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."


#2E7 ions
xmlfn=PARAPROBE.Paper14.PureAlu.3XX2.xml
eval "export OMP_NUM_THREADS=36"
eval "echo $OMP_NUM_THREADS"
#36 thread runs
simid=36302
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#6 thread runs
eval "export OMP_NUM_THREADS=6"
eval "echo $OMP_NUM_THREADS"
simid=6302
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#1 thread runs
eval "export OMP_NUM_THREADS=1"
eval "echo $OMP_NUM_THREADS"
simid=1302
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."


#2E8 ions
##xmlfn=PARAPROBE.Paper14.PureAlu.3XX3.xml
eval "export OMP_NUM_THREADS=36"
eval "echo $OMP_NUM_THREADS"
#36 thread runs
simid=36303
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#6 thread runs
eval "export OMP_NUM_THREADS=6"
eval "echo $OMP_NUM_THREADS"
simid=6303
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#1 thread runs
eval "export OMP_NUM_THREADS=1"
eval "echo $OMP_NUM_THREADS"
simid=1303
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."


#2E9 ions
xmlfn=PARAPROBE.Paper14.PureAlu.3XX4.xml
eval "export OMP_NUM_THREADS=36"
eval "echo $OMP_NUM_THREADS"
#36 thread runs
simid=36304
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#6 thread runs
eval "export OMP_NUM_THREADS=6"
eval "echo $OMP_NUM_THREADS"
simid=6304
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."

#1 thread runs
eval "export OMP_NUM_THREADS=1"
eval "echo $OMP_NUM_THREADS"
simid=1304
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
