#!/bin/bash

##Script to batch process synthetic PARAPROBE benchmarks utilizing 1, 6, 36 threads
##Markus Kuehbach, 2018/12/10, m.kuehbach at mpie.de

execnm=paraprobe_i2018_O3marchntv
rrngfn=PARAPROBE.Paper14.Ranging.rrng

eval "module list"
eval "ulimit -s unlimited"
eval "ulimit -a"

eval "export MKL_NUM_THREADS=1"
eval "echo $MKL_NUM_THREADS"

eval "export OMP_NUM_THREADS=36"
eval "echo $OMP_NUM_THREADS"
#36 thread runs
xmlfn=PARAPROBE.Paper14.PureAlu.4XX1.xml
simid=36401
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX2.xml
simid=36402
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX3.xml
simid=36403
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX4.xml
simid=36404
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."


#6 thread runs
eval "export OMP_NUM_THREADS=6"
eval "echo $OMP_NUM_THREADS"
xmlfn=PARAPROBE.Paper14.PureAlu.4XX1.xml
simid=6401
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX2.xml
simid=6402
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX3.xml
simid=6403
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX4.xml
simid=6404
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."


#1 thread runs
eval "export OMP_NUM_THREADS=1"
eval "echo $OMP_NUM_THREADS"
xmlfn=PARAPROBE.Paper14.PureAlu.4XX1.xml
simid=1401
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX2.xml
simid=1402
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX3.xml
simid=1403
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
xmlfn=PARAPROBE.Paper14.PureAlu.4XX4.xml
simid=1404
eval "mkdir -p $simid"
eval "cp XML/$xmlfn $simid"
eval "cp XML/$rrngfn $simid"
eval "cd $simid"
eval "mpirun -np 1 ./../$execnm $simid $xmlfn 1>PARAPROBE.SimID.$simid.STDOUT.txt 2>PARAPROBE.SimID.$simid.STDERR.txt"
eval "cd .."
